Bug 789249 - Review Request: jkmeter - Horizontal or vertical bar-graph audio levels meter
Summary: Review Request: jkmeter - Horizontal or vertical bar-graph audio levels meter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-10 07:49 UTC by Brendan Jones
Modified: 2012-04-12 01:56 UTC (History)
3 users (show)

Fixed In Version: jkmeter-0.6.1-4.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-24 00:26:47 UTC
Type: ---
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Brendan Jones 2012-02-10 07:49:03 UTC
jkmeter is a horizontal or vertical bar-graph level
meter based on the ideas of mastering guru Bob Katz.
See <http://www.digido.com/bob-katz/index.php> and
follow the links on 'level practices'.

This is the type of meter you want for live recording,
mixing and mastering. It probably makes no sense to
use it on all tracks of a DAW, where keeping digital
level within limits is the main purpose of metering.

This is another package being moved from the Planet CCRMA repo.

SRPM: http://bsjones.fedorapeople.org/jkmeter-0.6.1-2.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/jkmeter.spec

Comment 1 Brendan Jones 2012-02-14 08:14:11 UTC
SRPM: http://bsjones.fedorapeople.org/jkmeter-0.6.1-3.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/jkmeter.spec

Update license and desktop file

Comment 2 Matthias Runge 2012-02-17 19:50:12 UTC
I'm taking this one

Comment 3 Matthias Runge 2012-02-17 19:55:24 UTC
One small note:
[mrunge@mrungexp jkmeter-0.6.1]$ licensecheck *
source/global.h: GPL (v2 or later) (with incorrect FSF address) 
source/png2img.cc: GPL (v2 or later) (with incorrect FSF address) 
source/jclient.h: GPL (v2 or later) (with incorrect FSF address) 
source/kmeter.cc: GPL (v2 or later) (with incorrect FSF address) 
source/stcorrdsp.cc: GPL (v2 or later) (with incorrect FSF address) 
source/mainwin.cc: GPL (v2 or later) (with incorrect FSF address) 
source/png2img.h: GPL (v2 or later) (with incorrect FSF address) 
source/stcorrdsp.h: GPL (v2 or later) (with incorrect FSF address) 
source/jclient.cc: GPL (v2 or later) (with incorrect FSF address) 
source/styles.h: GPL (v2 or later) (with incorrect FSF address) 
source/mainwin.h: GPL (v2 or later) (with incorrect FSF address) 
source/jkmeter.cc: GPL (v2 or later) (with incorrect FSF address) 
source/cmeter.h: GPL (v2 or later) (with incorrect FSF address) 
source/cmeter.cc: GPL (v2 or later) (with incorrect FSF address) 
source/kmeterdsp.cc: GPL (v2 or later) (with incorrect FSF address) 
source/styles.cc: GPL (v2 or later) (with incorrect FSF address) 
source/kmeter.h: GPL (v2 or later) (with incorrect FSF address) 
source/kmeterdsp.h: GPL (v2 or later) (with incorrect FSF address) 


Build in mock fails with:
g++  -O2  -Wall -MMD -MP  -DVERSION=\"0.6.1\" -DSHARED=\"/usr/share/jkmeter\" -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -I/usr/include/freetype2  -c -o jclient.o jclient.cc
jclient.cc:23:21: fatal error: sndfile.h: No such file or directory
compilation terminated.
make: *** [jclient.o] Error 1

looks like a missing dependency (not listed dep)

Could you try to fix the build?
Thanks

Comment 4 Brendan Jones 2012-02-17 20:46:29 UTC
Thanks for the review. 

Upstream has been notified about the incorrect FSF addresses.

Apologies for the missing build requires:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3799891

SRPM: http://bsjones.fedorapeople.org/jkmeter-0.6.1-4.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/jkmeter.spec

Comment 5 Matthias Runge 2012-02-20 09:37:23 UTC
Sorry for lagging this.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/789249/jkmeter-0.6.1.tar.bz2 :
  MD5SUM this package     : 649cda4465fe070505ae0a1d730b398f
  MD5SUM upstream package : 649cda4465fe070505ae0a1d730b398f

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


As mentioned earlier, you should try to get upstream correct fsf-address. This is afaik no blocker, so

Package APPROVED

Comment 6 Brendan Jones 2012-02-20 12:41:11 UTC
Thanks for the review! 

New Package SCM Request
=======================
Package Name: jkmeter
Short Description: Horizontal or vertical bar-graph audio levels meter
Owners: bsjones
Branches: f15 f16 f17
InitialCC:

Comment 7 Gwyn Ciesla 2012-02-20 13:05:33 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2012-02-28 14:29:09 UTC
jkmeter-0.6.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jkmeter-0.6.1-4.fc17

Comment 9 Fedora Update System 2012-02-28 14:29:21 UTC
jkmeter-0.6.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/jkmeter-0.6.1-4.fc15

Comment 10 Fedora Update System 2012-02-28 14:29:31 UTC
jkmeter-0.6.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/jkmeter-0.6.1-4.fc16

Comment 11 Fedora Update System 2012-02-28 20:41:12 UTC
Package jkmeter-0.6.1-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jkmeter-0.6.1-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2622/jkmeter-0.6.1-4.fc17
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2012-03-24 00:26:47 UTC
jkmeter-0.6.1-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-03-24 00:35:22 UTC
jkmeter-0.6.1-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-04-12 01:56:07 UTC
jkmeter-0.6.1-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.